    /*
     *  call-seq:
     *     iw.delete(field, term) -> iw
     *
     *  Delete all documents in the index with the term +term+ in the field
     *  +field+. You should usually have a unique document id which you use with
     *  this method, rather then deleting all documents with the word "the" in
     *  them. You may however use this method to delete spam.
     */
    static VALUE
    frt_iw_delete(VALUE self, VALUE rfield, VALUE rterm)
    {
        IndexWriter *iw = (IndexWriter *)DATA_PTR(self);
        iw_delete_term(iw, frt_field(rfield), StringValuePtr(rterm));
        return self;
    }